Pinterest

List Pinterest Boards

Lists the boards you can publish pins to. Works only on Pinterest connections.

GET
/v1/connections/{id}/pinterest/boards

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Response Body

Boards

application/json
  1. response
accountId*string
platform*"pinterest"
Value in"pinterest"
boards*array<>
defaultBoardId*string|null
sandbox*boolean
fetchedAt*string
Formatdate-time
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.listPinterestBoards({  id: "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",});console.log(response);
Example Response
{  "accountId": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  "platform": "pinterest",  "boards": [    {      "id": "1234567890123456789",      "name": "Summer ideas"    }  ],  "defaultBoardId": "1234567890123456789",  "sandbox": false,  "fetchedAt": "2026-08-25T10:00:00.000Z"}